org.apache.jmeter.report.processor

## Interface ResultDataVisitor<T>

Type Parameters:
  `T` - the type returned by visit methods

All Known Implementing Classes:
  JsonizerVisitor

    public interface ResultDataVisitor<T>

The interface ResultDataVisitor represents a visitor for result data from samples processing.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `visitListResult(ListResultData listResult)` Visits the specified list result.
`T` `visitMapResult(MapResultData mapResult)` Visits the specified map result.
`T` `visitValueResult(ValueResultData valueResult)` Visits the specified value result.

### Method Detail

#### visitListResult

    T visitListResult(ListResultData listResult)

Visits the specified list result.

Parameters:
  `listResult` - the list result
Returns:
  the result of the visit

#### visitMapResult

    T visitMapResult(MapResultData mapResult)

Visits the specified map result.

Parameters:
  `mapResult` - the map result
Returns:
  the result of the visit

#### visitValueResult

    T visitValueResult(ValueResultData valueResult)

Visits the specified value result.

Parameters:
  `valueResult` - the value result
Returns:
  the result of the visit